=== debian/changelog ===
konsole (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:12:53 +0000

konsole (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.
  * Skip building for tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:22:47 +0000

konsole (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:56:57 +0000

konsole (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:50:39 +0000

konsole (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:35:19 +0000

konsole (4:19.08.2-0ubuntu1) focal; urgency=medium

  * Sync Debian unstable changes. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Breaks/Replaces to suit Kubuntu version history.
    - debian/tests/testsuite: Skip on !x86
  * New upstream release (19.08.2)
  * debian/patches: Drop restore-old-sessions.patch included in 19.08.2

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 03 Nov 2019 22:53:16 +0000
