=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.59.0~),
               kinit-dev (>= 5.6.0~),
               libkf5bookmarks-dev (>= 5.6.0~),
               libkf5completion-dev (>= 5.6.0~),
               libkf5config-dev (>= 5.6.0~),
               libkf5configwidgets-dev (>= 5.6.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5crash-dev (>= 5.6.0~),
               libkf5dbusaddons-dev (>= 5.6.0~),
               libkf5doctools-dev (>= 5.6.0~),
               libkf5globalaccel-dev (>= 5.6.0~),
               libkf5guiaddons-dev (>= 5.6.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5iconthemes-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.6.0~),
               libkf5newstuff-dev (>= 5.59.0~),
               libkf5notifications-dev (>= 5.6.0~),
               libkf5notifyconfig-dev (>= 5.6.0~),
               libkf5parts-dev (>= 5.6.0~),
               libkf5pty-dev (>= 5.6.0~),
               libkf5service-dev (>= 5.6.0~),
               libkf5textwidgets-dev (>= 5.6.0~),
               libkf5widgetsaddons-dev (>= 5.6.0~),
               libkf5windowsystem-dev (>= 5.6.0~),
               libkf5xmlgui-dev (>= 5.6.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: lrzsz
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<< 4:17.12.3-1~)
Replaces: konsole (<< 4:17.12.3-1~)
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.
