=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus,
         kinit,
         libgl1-mesa-dri,
         plasma-framework,
         xauth,
         xvfb,
         @,
         @builddeps@,
