## konsole 20.08.2

=== debian/changelog ===
konsole (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:04 +0100

konsole (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:57:06 +0100

konsole (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 00:00:18 +0200

konsole (4:20.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Fix another typo in long description for konsole-kpart.
  * Update lintian overrides.

  [ Aurélien COUDERC ]
  * Fix typo in long description for konsole-kpart.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 08:23:34 +0200

konsole (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Drop the migration from konsole-dbg, no more needed after two Debian stable
    releases.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Explicitly add the gettext build dependency.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the patches:
    - restore-old-sessions.patch: drop, fixed upstream
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jun 2020 23:56:35 +0200
